/** Hide extra content */
.path-local-ph_events #page-content #region-main > h2,
.path-local-ph_events #page-content #region-main > .activity-header {
  display: none;
}

/* Main container */
.local-ph-events-view-msteams {
  --content-background-color: white;
  --header-background-color: #f8f9fa;
  --content-border-color: #dee2e6;
  --speaker-border-color: #dee2e6;
  --content-border-radius: 15px;
}

/* Header Section with Speakers and Moderators */
.local-ph-events-view-msteams .ph-events-event-header {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 2rem;
  margin-bottom: 2rem;
  background-color: var(--header-background-color);
  padding: 1.5rem;
  border-radius: var(--content-border-radius);
}

.local-ph-events-view-msteams .ph-events-event-header h2 {
  margin-bottom: 1rem;
}

/* Content inside Speakers/Moderators (User lists) */
.local-ph-events-view-msteams .ph-events-event-header .ph-events-event-content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
/* Content inside Speakers/Moderators (User lists) */
.local-ph-events-view-msteams
  .ph-events-event-header
  .ph-events-event-content
  .block-user-mini {
  padding: 1rem !important;
  border-radius: var(--content-border-radius);
  border: 2px solid var(--speaker-border-color);
}
.local-ph-events-view-msteams
  .ph-events-event-header
  .ph-events-event-content
  .block-user-teaser {
  background: white;
  padding: 1rem;
  border-radius: var(--content-border-radius);
}

/* Main Content Area */
.local-ph-events-view-msteams > .ph-events-event-body-content > h2 {
  font-size: 1.75rem;
  font-weight: 700;
  color: #212529;
  margin-bottom: 25px;
}

.local-ph-events-view-msteams .ph-events-event-main-content {
  background: var(--content-background-color);
  padding: 1.5rem;
  border: 2px solid var(--content-border-color);
  border-radius: var(--content-border-radius);
}

/* Metadata Section */
.local-ph-events-view-msteams .ph-events-event-metadata {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 2rem;
  font-size: 0.875rem;
}

.local-ph-events-view-msteams .ph-events-event-time-and-duration {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  font-weight: 500;
  color: #495057;
}

.local-ph-events-view-msteams .ph-events-event-time-and-duration > div {
  display: flex;
  align-items: center;
}

.local-ph-events-view-msteams .ph-events-event-time-and-duration i,
.local-ph-events-view-msteams .ph-events-event-time-and-duration img {
  width: 20px;
  height: auto;
}

/* Add to Calendar / Join Buttons */
.local-ph-events-view-msteams .ph-events-event-add-to-calendar-wrapper {
  display: flex;
  gap: 1rem;
  margin-left: auto;
}

/* Intro Text */
.local-ph-events-view-msteams .ph-events-event-intro {
  font-size: 1.1rem;
  line-height: 1.6;
}
